commit:     cbf70fda6fd3f0472d14040b781dd76db5ac3a13
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  4 04:15:37 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Jul  4 04:15:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbf70fda

media-sound/frescobaldi: bump to 3.1.3

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/frescobaldi/Manifest                 |  1 +
 media-sound/frescobaldi/frescobaldi-3.1.3.ebuild | 31 ++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/media-sound/frescobaldi/Manifest b/media-sound/frescobaldi/Manifest
index 6456dba0220..53805bb33f2 100644
--- a/media-sound/frescobaldi/Manifest
+++ b/media-sound/frescobaldi/Manifest
@@ -1 +1,2 @@
 DIST frescobaldi-3.1.1.tar.gz 6244496 BLAKE2B 
0687a608c773d3295197ea7ef117fa099acc2dfcd2de0f7e7ed69ff6ab643007d631f9e3abc1509163503473cc2d95f7cfe7ca87a5d636a796490af8479b8db0
 SHA512 
b4f65bdbcb5ed1c9837b84f9721b166dbac3d5ed12d03521d91d9f4660ff61af951209071ceae07158da3ad9f7c7152924a4f5ce87deedc8d90decf4b4efa86d
+DIST frescobaldi-3.1.3.tar.gz 6691789 BLAKE2B 
88a08240997aad11d9bf31c57a844a42e341e7641649f5cfb52571beb63fa4c29382136eae7758e5fff1cc6a4f8eb2942ca9b09b8217d7243c699041c951081d
 SHA512 
595c4628df1923dffa44987ba858827a50d5415e9a01b45c87def2a6625d22c8b9b2e988c49dec20bba750cfc1ff4512e6f67875c3a2b23e440ef7231856c159

diff --git a/media-sound/frescobaldi/frescobaldi-3.1.3.ebuild 
b/media-sound/frescobaldi/frescobaldi-3.1.3.ebuild
new file mode 100644
index 00000000000..e600ca8d596
--- /dev/null
+++ b/media-sound/frescobaldi/frescobaldi-3.1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1 xdg
+
+DESCRIPTION="A LilyPond sheet music text editor"
+HOMEPAGE="https://www.frescobaldi.org/";
+SRC_URI="https://github.com/wbsoft/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+       dev-python/PyQt5[gui,network,printsupport,svg,widgets,${PYTHON_USEDEP}]
+       dev-python/PyQtWebEngine[${PYTHON_USEDEP}]
+       dev-python/python-ly[${PYTHON_USEDEP}]
+       dev-python/python-poppler-qt5[${PYTHON_USEDEP}]
+       media-sound/lilypond"
+RDEPEND="${DEPEND}
+       x11-themes/tango-icon-theme
+"
+
+python_prepare_all() {
+       rm -r frescobaldi_app/icons/Tango || die "failed to remove tango icon 
theme"
+       distutils-r1_python_prepare_all
+}

Reply via email to